Last modified: 2013-10-29 05:09:23 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 24670 - having $wgFixMalayalamUnicode = true in DefaultSettings.php breaks some titles and links in ml wikis on upgrade
having $wgFixMalayalamUnicode = true in DefaultSettings.php breaks some title...
Status: NEW
Product: MediaWiki
Classification: Unclassified
Installer (Other open bugs)
1.16.x
All All
: Low normal (vote)
: ---
Assigned To: Nobody - You can work on this!
: i18n
Depends on:
Blocks: 56295
  Show dependency treegraph
 
Reported: 2010-08-05 08:33 UTC by praveenp
Modified: 2013-10-29 05:09 UTC (History)
3 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description praveenp 2010-08-05 08:33:20 UTC
On update people must get a notice on this parameter if their language code is "ml". Recently some sites updated automatically and they got their site collapsed. Probably this may be affected Arabic also.

Please see: http://www.mediawiki.org/wiki/Special:Code/MediaWiki/61282
Comment 1 DieBuche 2010-12-04 23:27:15 UTC
What were the problems casued by this setting?
Comment 2 praveenp 2011-01-08 04:11:45 UTC
Outside links not working because they are in Old Unicode style https://bugzilla.wikimedia.org/show_bug.cgi?id=25623).

Many institutions using mediawiki in Malayalam. Not every page get edited on same second. After upgrading this change can break internal links as well as external links. So it is important to inform mediawiki users. 

Site like "http://smc.org.in" collapsed because they found that templates with old style encoding were not loading after each edit. They were not aware about this setting and they didn't know that each template also need atleast one edit to convert itself new version encoding. So they changed default language to English.
Comment 3 Bawolff (Brian Wolff) 2011-01-08 23:18:02 UTC
I know the update.php script is meant for DB updates, but it'd be nice for that script to call the cleanupTitles.php maintenance script if its updating from a version where unicode normalization changed.

>Site like "http://smc.org.in" collapsed because they found that templates with
>old style encoding were not loading after each edit. They were not aware about
>this setting and they didn't know that each template also need atleast one edit
>to convert itself new version encoding. So they changed default language to
>English.

Such sites should run the cleanupTitles.php maintenance script. This should fix the issue with certain page titles using old unicode sequences becoming unaccessible.

Just for clarification, The only two issues being reported here are after upgrade:

*Certain page titles containing the old unicode forms become inaccessible. (which is fixable by running the maintenance script) [Fixable by running maintenance/cleanupTitles.php ]
*External links to sites using these old unicode sequences stop working because the characters in the link get converted. This can be worked around by percent-encoding the links, which is admittedly a pretty crappy work around. (bug 25623)
Comment 4 Andre Klapper 2013-10-23 15:42:01 UTC
Does anybody know which versions were affected, and from which previous version to which version this happens? Might be just WONTFIX nowadays.

Wondering if this could be related to bug 38250 and bug 20831.
Comment 5 Bawolff (Brian Wolff) 2013-10-23 16:27:52 UTC
(In reply to comment #4)
> Does anybody know which versions were affected, and from which previous
> version
> to which version this happens? Might be just WONTFIX nowadays.
> 
> Wondering if this could be related to bug 38250 and bug 20831.

Presumably when upgrading from less than 1.16 (by bug fields. Whatever version feature was introduced) to something greater than 1.16 (including most recent).

How much we still care is an open question, probably not that many pre 1.16 installs with language code set to ml left around.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links